/**
 * @desc 获取用户菜单
 */
import { defHttp } from '/@/utils/http/axios'

export class Params {}

export function request(
    params?: Params,
    config?: http.RequestConfig<Params>,
    options?: http.RequestOptions,
): Promise<Array<defs.MenuVo>> {
    return defHttp.request(
        {
            url: '/user/getMenuList',
            method: 'GET',
            params,

            ...config,
        },
        options,
    )
}
