/**
 * @desc 树结构查询
 */
import { defHttp } from '/@/utils/http/axios'

export class Params {
    /** pid */
    pid?: string
}

export function request(
    params: Params,
    config?: http.RequestConfig<Params>,
    options?: http.RequestOptions,
): Promise<Array<defs.PermissionVo>> {
    return defHttp.request(
        {
            url: '/sys/permission/tree',
            method: 'GET',
            params,

            ...config,
        },
        options,
    )
}
